package core_unix

  1. Overview
  2. Docs
Unix-specific portions of Core

Install

Dune Dependency

Authors

Maintainers

Sources

v0.17.0.tar.gz
sha256=175025e240ed90647d817b1af5e4174bf146505903ed671e645f8a5d5f497182

Description

Unix-specific extensions to some of the modules defined in [core] and [core_kernel].

Published: 26 May 2024

README

Core_unix

A package including Core_unix and various Linux-specific libraries. See readme files in subfolders.

Dependencies (14)

  1. spawn >= "v0.15"
  2. dune >= "3.11.0"
  3. base-threads
  4. uopt >= "v0.17" & < "v0.18"
  5. timezone >= "v0.17" & < "v0.18"
  6. sexplib >= "v0.17" & < "v0.18"
  7. ppx_optcomp >= "v0.17" & < "v0.18"
  8. ppx_jane >= "v0.17" & < "v0.18"
  9. jst-config >= "v0.17" & < "v0.18"
  10. jane-street-headers >= "v0.17" & < "v0.18"
  11. expect_test_helpers_core >= "v0.17" & < "v0.18"
  12. core_kernel >= "v0.17" & < "v0.18"
  13. core >= "v0.17" & < "v0.18"
  14. ocaml >= "5.1.0"

Dev Dependencies

None

Used by (56)

  1. async >= "v0.17.0"
  2. async_inotify >= "v0.17.0"
  3. async_interactive >= "v0.17.0"
  4. async_smtp >= "v0.17.0"
  5. async_udp >= "v0.17.0"
  6. async_unix >= "v0.17.0"
  7. aws-s3-async >= "4.6.0"
  8. awsm-codegen
  9. biocaml >= "0.11.2"
  10. biotk >= "0.2.0"
  11. bonsai >= "v0.17.0"
  12. caqti-async >= "2.0.1"
  13. cohttp-async >= "2.5.6" & < "3.0.0" | >= "5.0.0"
  14. cohttp-curl-async
  15. combinat >= "3.0"
  16. core_bench >= "v0.17.0"
  17. core_extended >= "v0.17.0"
  18. core_profiler >= "v0.17.0"
  19. ecaml >= "v0.17.0"
  20. email_message >= "v0.17.0"
  21. env_config >= "v0.17.0"
  22. expect_test_helpers_async >= "v0.17.0"
  23. faraday-async >= "0.8.2"
  24. file_path >= "v0.17.0"
  25. grace
  26. gradescope_submit
  27. hardcaml_c >= "v0.17.0"
  28. hardcaml_of_verilog >= "v0.17.0"
  29. hardcaml_verilator >= "v0.17.0"
  30. hardcaml_waveterm >= "v0.17.0"
  31. hardcaml_xilinx_components >= "v0.17.0"
  32. hardcaml_xilinx_reports >= "v0.17.0"
  33. janestreet_csv >= "v0.17.0"
  34. line-up-words >= "v0.17.0"
  35. magic-trace
  36. merge-fmt >= "0.3"
  37. ocaml-embed-file >= "v0.17.0"
  38. ocaml_openapi_generator
  39. oraft >= "0.3.0"
  40. p4pp >= "0.1.12"
  41. patdiff >= "v0.17.0"
  42. polars
  43. ppx_css >= "v0.17.0"
  44. rpc_parallel >= "v0.17.0"
  45. satyrographos >= "0.0.2.13"
  46. sexp >= "v0.17.0"
  47. shell >= "v0.17.0"
  48. shuttle >= "0.4.0"
  49. shuttle_http >= "0.8.1"
  50. textutils >= "v0.17.0"
  51. toplevel_expect_test >= "v0.17.0"
  52. torch >= "v0.17.0"
  53. tracing >= "v0.17.0"
  54. uri-bench
  55. websocket-async >= "2.16"
  56. yojson-bench

Conflicts

None

OCaml

Innovation. Community. Security.